<?php

namespace backend\models;
use common\modules\product\models\ProductVariant;
use Yii;

class OrdersProducts extends \yii\db\ActiveRecord
{
    
    public static function tableName()
    {
        return 'orders_products';
    }
    
	public function rules()
	{
		return [
			[['sku','count','order_id'], 'required'],
                    ];
	}    
    
	public function attributeLabels()
	{
		return [
			'product_name'=>'Продукт',
			'name'=>'Вид',
                        'art'=>'Артикул',
                        'cost'=>'Цена за один',
			'count'=>'Кол.',
                        'sum_cost'=>'Сумма',
		];
	}

	public function getMod()
	{
		return $this->hasOne(ProductVariant::className(), ['product_variant_id' => 'mod_id']);
	}
}    